let secrets = JSON.parse(localStorage.getItem('secrets')) || [];

function saveSecret() {
  const secretText = document.getElementById('secret-input').value.trim();
  if (secretText) {
    const newSecret = {
      id: Date.now(),
      text: secretText
    };
    secrets.push(newSecret);
    localStorage.setItem('secrets', JSON.stringify(secrets));
    document.getElementById('secret-input').value = '';
    displaySecrets();
  }
}

function displaySecrets() {
  const secretsContainer = document.getElementById('secrets-container');
  secretsContainer.innerHTML = secrets.map(secret => `
    <li class="secret-item">
      <span>${secret.text}</span>
      <button class="burn-btn" onclick="burnSecret(${secret.id})">Burn</button>
    </li>
  `).join('');
}

function burnSecret(id) {
  secrets = secrets.filter(secret => secret.id !== id);
  localStorage.setItem('secrets', JSON.stringify(secrets));
  displaySecrets();
}

document.getElementById('save-secret').addEventListener('click', saveSecret);
document.getElementById('secret-input').addEventListener('keydown', (e) => {
  if (e.ctrlKey && e.key === 'Enter') {
    saveSecret();
  }
});

// Initial display
displaySecrets();